import { createRoute } from "../../../modules/api-utils/createRoute";
import { unifiSites } from "../../../managers/unifiSites";
import { apiResponse } from "../../../modules/api-utils/apiResponse";
import { ContentfulStatusCode } from "hono/utils/http-status";
import { authMiddleware } from "../../middleware/authorization";

/* GET /v1/unifi/site/:id/access-points */
export default createRoute(
  "get",
  ["/site/:id/access-points"],
  async (c) => {
    const site = await unifiSites.fetch(c.req.param("id"));
    const accessPoints = await unifiSites.getAccessPoints(site.siteId);
    const response = apiResponse.successful(
      "UniFi Access Points Fetched Successfully!",
      accessPoints,
    );
    return c.json(response, response.status as ContentfulStatusCode);
  },
  authMiddleware({
    permissions: ["unifi.access", "unifi.site.access-points"],
  }),
);
